Page MenuHomePhabricator

Record if language detection occured in the CirrusSearchUserTesting and CirrusSearchRequestSet logs
Closed, ResolvedPublic

Description

We don't necessarily know what percentage of queries we're running language detection on.

We know when we're displaying results from another wiki (even if we're displaying zero) but we don't know when we've run a language detection and the detectors says "I don't know what language this is".

We should measure this!

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : wmf/1.27.0-wmf.7Record if language detection occured in UserTesting logs
mediawiki/extensions/CirrusSearch : masterRecord if language detection occured in UserTesting logs

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a project: Discovery. · View Herald TranscriptNov 13 2015, 5:33 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Deskana triaged this task as Medium priority.Nov 17 2015, 5:40 PM
Deskana updated the task description. (Show Details)
Deskana set Security to None.

Change 254062 had a related patch set uploaded (by EBernhardson):
Record if language detection occured in UserTesting logs

https://gerrit.wikimedia.org/r/254062

Change 254062 merged by jenkins-bot:
Record if language detection occured in UserTesting logs

https://gerrit.wikimedia.org/r/254062

Change 254319 had a related patch set uploaded (by EBernhardson):
Record if language detection occured in UserTesting logs

https://gerrit.wikimedia.org/r/254319

Change 254319 merged by jenkins-bot:
Record if language detection occured in UserTesting logs

https://gerrit.wikimedia.org/r/254319

Deskana closed this task as Resolved.Dec 17 2015, 11:54 PM
Deskana added a subscriber: Deskana.